package com.ynet.life.log;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.DataElement;
import com.ynet.gene.data.DuplicatedDataNameException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.InvalidArgumentException;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.gene.data.ObjectNotFoundException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.format.LifeFormat;
import com.ynet.life.loaf.DataMappingProvider;
import com.ynet.life.loaf.TableConfig;
import com.ynet.life.loaf.jdbc.DataTypeConfig;
import com.ynet.life.loaf.jdbc.LoafPreparedData;
import com.ynet.life.loaf.jdbc.LoafQueryFactory;
import com.ynet.life.loaf.jdbc.LoafQueryInterface;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_log.jar:com/ynet/life/log/InnerTranDataGather.class */
public class InnerTranDataGather extends DataGather {
    public String formateByMap(String paramStruct, String paramValue) {
        if (this.paramTypeMap != null) {
            if (this.paramTypeMap.containsKey(paramStruct)) {
                String formateType = (String) this.paramTypeMap.get(paramStruct);
                if ("currency".equalsIgnoreCase(formateType)) {
                    return LifeFormat.formatCurrency(paramValue);
                }
                if ("date".equalsIgnoreCase(formateType)) {
                    return LifeFormat.formatDate(paramValue, "yyyyMMdd");
                }
                return paramValue;
            }
            return paramValue;
        }
        return paramValue;
    }

    public HashMap getDesc() {
        HashMap descMap = new HashMap();
        String[] desc = this.loafDesc.split("\\|");
        for (int i = 0; i < desc.length; i++) {
            descMap.put(desc[i].split("=")[0], desc[i].split("=")[1]);
        }
        return descMap;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v3, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v6, types: [com.ynet.gene.data.KeyedCollection] */
    /* JADX WARN: Type inference failed for: r0v9, types: [com.ynet.gene.data.KeyedCollection] */
    public void setDataToKcoll(KeyedCollection kcoll, String dataName, String dataValue, HashMap descMap) {
        String toKcollValue = formateByMap(dataName, dataValue);
        InvalidArgumentException containsKey = kcoll.containsKey((String) descMap.get(dataName));
        if (containsKey != 0) {
            try {
                containsKey = kcoll;
                containsKey.setDataValue((String) descMap.get(dataName), toKcollValue);
                return;
            } catch (InvalidArgumentException e) {
                containsKey.printStackTrace();
                return;
            } catch (ObjectNotFoundException e2) {
                containsKey.printStackTrace();
                return;
            }
        }
        try {
            containsKey = kcoll;
            containsKey.addDataField((String) descMap.get(dataName), toKcollValue);
        } catch (InvalidArgumentException e3) {
            containsKey.printStackTrace();
        } catch (DuplicatedDataNameException e4) {
            containsKey.printStackTrace();
        }
    }

    @Override // com.ynet.life.log.DataGather
    public DataElement getDataBeforeChange(Context context) {
        String loafId = getLoafeId(context);
        if ("iColl".equals(this.dataType)) {
            if ("single".equals(this.IcollQueryType)) {
                return getIcollBatch(context, loafId);
            }
            return getDataIcoll(context, loafId);
        }
        return getCommonDataElement(context, loafId);
    }

    public DataElement getIcollBatch(Context context, String loafeId) {
        int size;
        IndexedCollection resultIcoll = new IndexedCollection();
        getDesc();
        IndexedCollection submitIcoll = (IndexedCollection) context.get(this.submitIcollName);
        if (submitIcoll == null || (size = submitIcoll.size()) == 0) {
            return null;
        }
        for (int i = 0; i < size; i++) {
            KeyedCollection kColl = (KeyedCollection) submitIcoll.get(i);
            Context context2 = null;
            Context context3 = null;
            try {
                context2 = (String) kColl.getDataValue(this.primaryKey);
                context3 = context2;
            } catch (ObjectNotFoundException e) {
                context2.printStackTrace();
            } catch (InvalidArgumentException e2) {
                context2.printStackTrace();
            }
            Context context4 = context3;
            if (context4 != null) {
                try {
                    context4 = context;
                    context4.setDataValue(this.primaryKey, context3);
                } catch (ObjectNotFoundException e3) {
                    context4.printStackTrace();
                } catch (InvalidArgumentException e4) {
                    context4.printStackTrace();
                }
                KeyedCollection singleKcoll = getKcollCommon(context, loafeId);
                resultIcoll.add(singleKcoll);
            }
        }
        return resultIcoll;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v19, types: [java.util.List] */
    /* JADX WARN: Type inference failed for: r0v20, types: [com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v23 */
    /* JADX WARN: Type inference failed for: r0v24, types: [com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v26, types: [java.sql.Connection] */
    /* JADX WARN: Type inference failed for: r0v39, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v40, types: [com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v41, types: [java.sql.Connection] */
    public DataElement getDataIcoll(Context context, String loafeId) {
        HashMap descMap = getDesc();
        IndexedCollection input = (IndexedCollection) context.get(this.IcollName);
        Connection connection = null;
        TableConfig tableConfig = null;
        LoafQueryInterface query = null;
        TableConfig indexedCollection = new IndexedCollection();
        try {
            indexedCollection = DataMappingProvider.getTableConfig(loafeId);
            tableConfig = indexedCollection;
        } catch (TranFailException e) {
            indexedCollection.printStackTrace();
        }
        LoafQueryInterface loafQueryInterface = null;
        Iterator it = tableConfig.getSearchKeySet().iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            String searchField = (String) it.next();
            if (((String) context.get(searchField)) != null) {
                loafQueryInterface = 1;
                break;
            }
        }
        LoafQueryInterface loafQueryInterface2 = loafQueryInterface;
        if (loafQueryInterface2 == null) {
            return null;
        }
        try {
            loafQueryInterface2 = LoafQueryFactory.createQueryEntity(context, tableConfig, input.getDataElement(), "");
            query = loafQueryInterface2;
        } catch (TranFailException e2) {
            loafQueryInterface2.printStackTrace();
        }
        ?? queryInputList = DataMappingProvider.getQueryInputList(tableConfig, context);
        try {
            try {
                connection = LifeDBAccess.getConnection();
                ResultSet resultSet = query.getQueryStatement(connection, (List) queryInputList).executeQuery();
                input.clear();
                KeyedCollection inputData = input.getDataElement();
                Map dataToTableMap = tableConfig.getDataToTableFieldHashMap();
                while (true) {
                    queryInputList = resultSet.next();
                    if (queryInputList == 0) {
                        break;
                    }
                    KeyedCollection singleRecord = new KeyedCollection();
                    for (String dataFieldName : inputData.keySet()) {
                        String tableFieldName = (String) dataToTableMap.get(dataFieldName);
                        if (tableFieldName != null) {
                            LoafPreparedData resultData = DataTypeConfig.getData(tableConfig.getTableName(), tableFieldName);
                            resultData.fetchResult(resultSet, tableFieldName);
                            if (descMap.containsKey(dataFieldName)) {
                                setDataToKcoll(singleRecord, dataFieldName, (String) resultData.getDataValue(), descMap);
                            }
                        }
                    }
                    indexedCollection.addDataElement(singleRecord);
                }
            } catch (SQLException unused) {
                Connection connection2 = connection;
                try {
                    LifeDBAccess.releaseConnection(connection2);
                } catch (TranFailException e3) {
                    connection2.printStackTrace();
                }
            } catch (TranFailException e4) {
                queryInputList.printStackTrace();
                Connection connection3 = connection;
                try {
                    LifeDBAccess.releaseConnection(connection3);
                } catch (TranFailException e5) {
                    connection3.printStackTrace();
                }
            }
            return indexedCollection;
        } finally {
            try {
                queryInputList = connection;
                LifeDBAccess.releaseConnection((Connection) queryInputList);
            } catch (TranFailException e6) {
                queryInputList.printStackTrace();
            }
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v19, types: [java.util.List] */
    /* JADX WARN: Type inference failed for: r0v21, types: [com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v23 */
    /* JADX WARN: Type inference failed for: r0v24, types: [com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v26, types: [java.sql.Connection] */
    /* JADX WARN: Type inference failed for: r0v39, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v48, types: [boolean] */
    public DataElement getKcollCommon(Context context, String str) {
        KeyedCollection keyedCollection = null;
        TranFailException tranFailException = null;
        TableConfig tableConfig = null;
        LoafQueryInterface loafQueryInterface = null;
        HashMap desc = getDesc();
        TableConfig tableConfig2 = (IndexedCollection) context.get(this.IcollName);
        try {
            tableConfig2 = DataMappingProvider.getTableConfig(str);
            tableConfig = tableConfig2;
        } catch (TranFailException e) {
            tableConfig2.printStackTrace();
        }
        LoafQueryInterface loafQueryInterface2 = null;
        Iterator it = tableConfig.getSearchKeySet().iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            if (((String) context.get((String) it.next())) != null) {
                loafQueryInterface2 = 1;
                break;
            }
        }
        LoafQueryInterface loafQueryInterface3 = loafQueryInterface2;
        if (loafQueryInterface3 == null) {
            return null;
        }
        try {
            loafQueryInterface3 = LoafQueryFactory.createQueryEntity(context, tableConfig, tableConfig2.getDataElement(), "");
            loafQueryInterface = loafQueryInterface3;
        } catch (TranFailException e2) {
            loafQueryInterface3.printStackTrace();
        }
        ?? queryInputList = DataMappingProvider.getQueryInputList(tableConfig, context);
        try {
            try {
                tranFailException = LifeDBAccess.getConnection();
                ResultSet executeQuery = loafQueryInterface.getQueryStatement(tranFailException, (List) queryInputList).executeQuery();
                tableConfig2.clear();
                KeyedCollection dataElement = tableConfig2.getDataElement();
                Map dataToTableFieldHashMap = tableConfig.getDataToTableFieldHashMap();
                ?? next = executeQuery.next();
                TranFailException tranFailException2 = next;
                if (next != 0) {
                    keyedCollection = new KeyedCollection();
                    Iterator it2 = dataElement.keySet().iterator();
                    while (true) {
                        queryInputList = it2.hasNext();
                        if (queryInputList == 0) {
                            break;
                        }
                        String str2 = (String) it2.next();
                        String str3 = (String) dataToTableFieldHashMap.get(str2);
                        if (str3 != null) {
                            LoafPreparedData data = DataTypeConfig.getData(tableConfig.getTableName(), str3);
                            data.fetchResult(executeQuery, str3);
                            if (desc.containsKey(str2)) {
                                setDataToKcoll(keyedCollection, str2, (String) data.getDataValue(), desc);
                            }
                        }
                    }
                    tranFailException2 = queryInputList;
                }
            } finally {
                try {
                    queryInputList = tranFailException;
                    LifeDBAccess.releaseConnection((Connection) queryInputList);
                } catch (TranFailException e3) {
                    queryInputList.printStackTrace();
                }
            }
        } catch (TranFailException e4) {
            queryInputList.printStackTrace();
            TranFailException tranFailException3 = tranFailException;
            try {
                LifeDBAccess.releaseConnection(tranFailException3);
            } catch (TranFailException e5) {
                tranFailException3.printStackTrace();
            }
        } catch (SQLException unused) {
            TranFailException tranFailException4 = tranFailException;
            try {
                LifeDBAccess.releaseConnection(tranFailException4);
            } catch (TranFailException e6) {
                tranFailException4.printStackTrace();
            }
        }
        return keyedCollection;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v11 */
    /* JADX WARN: Type inference failed for: r0v12 */
    /* JADX WARN: Type inference failed for: r0v13, types: [com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v15, types: [java.sql.Connection] */
    /* JADX WARN: Type inference failed for: r0v16, types: [java.sql.SQLException] */
    /* JADX WARN: Type inference failed for: r0v22, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v23, types: [com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v45, types: [java.util.Map] */
    /* JADX WARN: Type inference failed for: r0v47 */
    /* JADX WARN: Type inference failed for: r0v48, types: [com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v49, types: [java.sql.Connection] */
    /* JADX WARN: Type inference failed for: r0v60, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v61, types: [com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v82, types: [java.util.Map] */
    /* JADX WARN: Type inference failed for: r0v89 */
    /* JADX WARN: Type inference failed for: r0v90 */
    /* JADX WARN: Type inference failed for: r6v0, types: [com.ynet.life.log.InnerTranDataGather] */
    public DataElement getCommonDataElement(Context context, String str) {
        ?? r0;
        KeyedCollection keyedCollection = null;
        Connection connection = null;
        TableConfig tableConfig = null;
        Map map = null;
        TranFailException tranFailException = null;
        TranFailException desc = getDesc();
        try {
            TableConfig tableConfig2 = DataMappingProvider.getTableConfig(str);
            tableConfig = tableConfig2;
            desc = tableConfig2.getShowBusinessList();
            tranFailException = desc;
        } catch (TranFailException e) {
            desc.printStackTrace();
        }
        Connection queryUsingPK = DataMappingProvider.getQueryUsingPK(tableConfig, context);
        try {
            queryUsingPK = LifeDBAccess.getConnection();
            connection = queryUsingPK;
            r0 = queryUsingPK;
        } catch (TranFailException e2) {
            queryUsingPK.printStackTrace();
            r0 = queryUsingPK;
        }
        try {
            try {
                ResultSet executeQuery = queryUsingPK.getPreparedStatement(connection).executeQuery();
                ?? next = executeQuery.next();
                if (next != 0) {
                    try {
                        next = DataMappingProvider.getTableConfig(str).getTableFieldToDataHashMap();
                        map = next;
                    } catch (TranFailException e3) {
                        next.printStackTrace();
                    }
                    if (map != null) {
                        keyedCollection = new KeyedCollection();
                        for (String str2 : map.keySet()) {
                            String str3 = (String) map.get(str2);
                            LoafPreparedData data = DataTypeConfig.getData(tableConfig.getTableName(), str2);
                            data.fetchResult(executeQuery, str2);
                            if (desc.containsKey(str3)) {
                                setDataToKcoll(keyedCollection, str3, (String) data.getDataValue(), desc);
                            }
                        }
                    }
                }
                int i = 0;
                while (true) {
                    r0 = i;
                    if (r0 >= tranFailException.size()) {
                        break;
                    }
                    TableConfig tableConfig3 = null;
                    String str4 = (String) tranFailException.get(i);
                    TableConfig tableConfig4 = "LOAF";
                    Trace.logDebug("LOAF", String.valueOf(this.lofId) + "的显示用辅助数据" + str4 + "查询开始");
                    try {
                        tableConfig4 = DataMappingProvider.getTableConfig(str4);
                        tableConfig3 = tableConfig4;
                    } catch (TranFailException e4) {
                        tableConfig4.printStackTrace();
                    }
                    ResultSet executeQuery2 = DataMappingProvider.getQueryUsingPK(tableConfig3, context).getPreparedStatement(connection).executeQuery();
                    ?? next2 = executeQuery2.next();
                    if (next2 != 0) {
                        try {
                            next2 = DataMappingProvider.getTableConfig(str4).getTableFieldToDataHashMap();
                            map = next2;
                        } catch (TranFailException e5) {
                            next2.printStackTrace();
                        }
                        if (map != null) {
                            for (String str5 : map.keySet()) {
                                String str6 = (String) map.get(str5);
                                LoafPreparedData data2 = DataTypeConfig.getData(tableConfig.getTableName(), str5);
                                data2.fetchResult(executeQuery2, str5);
                                if (desc.containsKey(str6)) {
                                    setDataToKcoll(keyedCollection, str6, (String) data2.getDataValue(), desc);
                                }
                            }
                        }
                    }
                    i++;
                }
            } catch (SQLException e6) {
                r0.printStackTrace();
                Connection connection2 = connection;
                try {
                    LifeDBAccess.releaseConnection(connection2);
                } catch (TranFailException e7) {
                    connection2.printStackTrace();
                }
            }
            return keyedCollection;
        } finally {
            try {
                r0 = connection;
                LifeDBAccess.releaseConnection((Connection) r0);
            } catch (TranFailException e8) {
                r0.printStackTrace();
            }
        }
    }

    @Override // com.ynet.life.log.DataGather
    public DataElement getDataAfterChange(Context context) {
        String loafId = getLoafeId(context);
        if ("iColl".equals(this.dataType)) {
            if ("single".equals(this.IcollQueryType)) {
                return getIcollBatch(context, loafId);
            }
            return getDataIcoll(context, loafId);
        }
        return getCommonDataElement(context, loafId);
    }

    public String getLoafeId(Context context) {
        String str = this.lofId;
        if (this.functionIDMap != null) {
            String str2 = null;
            String functionId = null;
            try {
                if (this.bsnCodeField == null) {
                    str2 = (String) context.getDataValue("currentBusinessCode");
                    functionId = str2;
                } else {
                    str2 = (String) context.getDataValue(this.bsnCodeField);
                    functionId = str2;
                }
            } catch (ObjectNotFoundException e) {
                str2.printStackTrace();
            } catch (InvalidArgumentException e2) {
                str2.printStackTrace();
            }
            str = (String) this.functionIDMap.get(functionId);
        }
        return str;
    }

    @Override // com.ynet.life.log.DataGather
    public String getPrimaryKeyOfIColl(String iCollId) {
        return null;
    }

    public String execute(Context arg0) throws GENEException {
        return null;
    }
}
